MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027332Open CASCADE[OCCT] OCCT:DRAWpublic2016-04-01 09:592016-12-09 16:37
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027332: Duplicate output from Draw Interpreter in cout in the debug function Draw_Eval
DescriptionDuplicate the output in cout from the DRAW Interpreter in the debug function Draw_Eval, so it won't be necessary to use puts command to see the result in terminal:
instead of
>deval ("puts [dump s]")
just
>deval ("dump s")
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0052262)
git (administrator)
2016-04-01 10:01

Branch CR27332 has been created by emv.

SHA-1: f4a4009b28fd224ab4585130586761b1ccf9dd7e


Detailed log of new commits:

Author: emv
Date: Fri Apr 1 10:01:15 2016 +0300

    0027332: Output in DRAW interpreter should be added in the debug function Draw_Eval
(0052263)
emv (developer)
2016-04-01 10:03

Dear Mikhail, please review the git branch CR27332.
(0052266)
git (administrator)
2016-04-01 10:14

Branch CR27332 has been updated forcibly by emv.

SHA-1: df0e024415dceb2d01ef9c396881fd50e9a13d02
(0052271)
msv (developer)
2016-04-01 10:51

Reviewed.
(0052281)
emv (developer)
2016-04-01 11:53

Dear Bugmaster, no testing is needed, check compilation only.
(0052338)
mkv (tester)
2016-04-04 14:24

Dear BugMaster,
Branch CR27332 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: df0e024415dceb2d01ef9c396881fd50e9a13d02

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 68 (68 on master)
Windows: 0 (0 on master)
MacOS : 1119

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 89690680 / 90052404 [-0.40%]
Total CPU difference: 19223.209999999894 / 19403.910000000105 [-0.93%]
products component :
Total MEMORY difference: 25292225 / 25262428 [+0.12%]
Total CPU difference: 5191.099999999992 / 5207.409999999988 [-0.31%]

Testing on Windows:
occt component :
Total MEMORY difference: 57567222 / 57585157 [-0.03%]
Total CPU difference: 18451.45507779873 / 18362.42530709876 [+0.48%]
products component :
Total MEMORY difference: 17847634 / 17815545 [+0.18%]
Total CPU difference: 5150.809817799965 / 5074.104126099951 [+1.51%]

There are no differences in images found by testdiff.
(0052339)
mkv (tester)
2016-04-04 14:24

Dear BugMaster,
Branch CR27332 is TESTED.
(0052929)
git (administrator)
2016-04-17 13:40

Branch CR27332 has been deleted by kgv.

SHA-1: df0e024415dceb2d01ef9c396881fd50e9a13d02

- Related Changesets
occt: master 476d6b14
Timestamp: 2016-04-01 07:01:15
Author: emv
Committer: bugmaster
Details ] Diff ]
0027332: Duplicate output from Draw Interpreter in cout in the debug function Draw_Eval
mod - src/Draw/Draw_Debug.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-04-01 09:59 emv New Issue
2016-04-01 09:59 emv Assigned To => mkv
2016-04-01 10:01 git Note Added: 0052262
2016-04-01 10:03 emv Note Added: 0052263
2016-04-01 10:03 emv Assigned To mkv => msv
2016-04-01 10:03 emv Status new => resolved
2016-04-01 10:03 emv Steps to Reproduce Updated View Revisions
2016-04-01 10:09 emv Summary Output in DRAW interpreter should be added in the debug function Draw_Eval => Duplicate output from Draw Interpreter in cout in the debug function Draw_Eval
2016-04-01 10:09 emv Description Updated View Revisions
2016-04-01 10:14 git Note Added: 0052266
2016-04-01 10:51 msv Note Added: 0052271
2016-04-01 10:51 msv Assigned To msv => bugmaster
2016-04-01 10:51 msv Status resolved => reviewed
2016-04-01 11:46 mkv Assigned To bugmaster => mkv
2016-04-01 11:53 emv Note Added: 0052281
2016-04-01 12:01 emv Target Version 7.0.0 => 7.1.0
2016-04-04 14:24 mkv Note Added: 0052338
2016-04-04 14:24 mkv Note Added: 0052339
2016-04-04 14:24 mkv Assigned To mkv => bugmaster
2016-04-04 14:24 mkv Status reviewed => tested
2016-04-04 14:24 mkv Test case number => Not needed
2016-04-08 11:55 bugmaster Changeset attached => occt master 476d6b14
2016-04-08 11:55 bugmaster Status tested => verified
2016-04-08 11:55 bugmaster Resolution open => fixed
2016-04-17 13:40 git Note Added: 0052929
2016-12-09 16:33 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker